Index: XIOS/dev/branch_yushan/src/parse_expr/yacc_parser.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/parse_expr/yacc_parser.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/parse_expr/yacc_parser.cpp	(revision 1037)
@@ -526,199 +492,180 @@
 {
   "$end", "error", "$undefined", "NUMBER", "VAR", "ID", "AVERAGE", "PLUS",
-  "MINUS", "TIMES", "DIVIDE", "POWER", "EQ", "LT", "GT", "LE", "GE", "NE",
+  "MINUS", "TIMES", "DIVIDE", "POWER", "EQ", "LT", "GT", "LE", "GE",
   "LEFT_PARENTHESIS", "RIGHT_PARENTHESIS", "END", "NEG", "$accept", "Line",
-  "Expression", "Field_expr", YY_NULL
+  "Expression", "Field_expr", YY_NULLPTR
 };
 #endif
 
 # ifdef YYPRINT
-/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
-   token YYLEX-NUM.  */
+/* YYTOKNUM[NUM] -- (External) token number corresponding to the
+   (internal) symbol number NUM (which must be that of a token).  */
 static const yytype_uint16 yytoknum[] =
 {
        0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
-     275,   276
+     275
 };
 # endif
 
-/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
+#define YYPACT_NINF -13
+
+#define yypact_value_is_default(Yystate) \
+  (!!((Yystate) == (-13)))
+
+#define YYTABLE_NINF -1
+
+#define yytable_value_is_error(Yytable_value) \
+  0
+
+  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
+     STATE-NUM.  */
+static const yytype_int16 yypact[] =
+{
+      90,   -13,   -13,   -12,   -13,    35,    35,   -13,    44,   188,
+     103,    35,    24,    34,   116,   128,   -13,    35,    35,    35,
+      35,    65,    35,    35,    35,    35,    35,    35,    35,    35,
+      35,    35,    35,    35,    35,    35,    35,   -13,   140,   152,
+     -13,   -13,    -7,    23,    -7,    23,    24,    34,    24,    34,
+      54,    65,    65,    24,     0,    67,     0,    67,     0,    67,
+       0,    67,     0,    67,    -7,    23,    -7,    23,    24,    34,
+      24,    34,    24,    34,     0,    67,     0,    67,     0,    67,
+       0,    67,     0,    67,   -13,   -13,    65,    24,   164,    65,
+      65,    65,    65,    65,    65,    65,    65,    65,   176,    95,
+      95,    24,    24,    92,    92,    92,    92,    92
+};
+
+  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
+     Performed when YYTABLE does not specify something else to do.  Zero
+     means the default is an error.  */
+static const yytype_uint8 yydefact[] =
+{
+       0,     4,     5,    19,    20,     0,     0,     2,     0,     0,
+       0,     0,    10,    25,     0,     0,     1,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     3,     0,     0,
+      17,    32,     6,    34,     7,    36,     8,    38,     9,    40,
+       0,     0,     0,    11,    12,    43,    13,    45,    14,    47,
+      15,    49,    16,    51,    33,    21,    35,    22,    37,    23,
+      39,    24,    41,    26,    42,    27,    44,    28,    46,    29,
+      48,    30,    50,    31,    18,    52,     0,    10,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
+       7,     8,     9,    12,    13,    14,    15,    16
+};
+
+  /* YYPGOTO[NTERM-NUM].  */
+static const yytype_int8 yypgoto[] =
+{
+     -13,   -13,    -5,    31
+};
+
+  /* YYDEFGOTO[NTERM-NUM].  */
+static const yytype_int8 yydefgoto[] =
+{
+      -1,     8,     9,    10
+};
+
+  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
+     positive, shift that token.  If negative, reduce the rule whose
+     number is the opposite.  If YYTABLE_NINF, syntax error.  */
+static const yytype_uint8 yytable[] =
+{
+      12,    14,    19,    20,    21,    11,    38,    17,    18,    19,
+      20,    21,    42,    44,    46,    48,    53,    54,    56,    58,
+      60,    62,    64,    66,    68,    70,    72,    74,    76,    78,
+      80,    82,    29,    30,    31,    21,    13,    15,     1,     2,
+       3,     4,    39,     5,    16,    31,    87,    88,    43,    45,
+      47,    49,     6,    55,    57,    59,    61,    63,    65,    67,
+      69,    71,    73,    75,    77,    79,    81,    83,     1,     2,
+      50,    86,     0,    51,    27,    28,    29,    30,    31,     0,
+       0,    98,    52,     0,    99,   100,   101,   102,   103,   104,
+     105,   106,   107,     1,     2,     3,     4,     0,     5,    89,
+      90,    91,    92,    21,    91,    92,    21,     6,     0,     7,
+      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
+       0,     0,    37,    17,    18,    19,    20,    21,    22,    23,
+      24,    25,    26,     0,    40,    27,    28,    29,    30,    31,
+      32,    33,    34,    35,    36,     0,    41,    17,    18,    19,
+      20,    21,    22,    23,    24,    25,    26,     0,    84,    27,
+      28,    29,    30,    31,    32,    33,    34,    35,    36,     0,
+      85,    89,    90,    91,    92,    21,    93,    94,    95,    96,
+      97,     0,    40,    89,    90,    91,    92,    21,    93,    94,
+      95,    96,    97,     0,    84,    17,    18,    19,    20,    21,
+      22,    23,    24,    25,    26
+};
+
+static const yytype_int8 yycheck[] =
+{
+       5,     6,     9,    10,    11,    17,    11,     7,     8,     9,
+      10,    11,    17,    18,    19,    20,    21,    22,    23,    24,
+      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
+      35,    36,     9,    10,    11,    11,     5,     6,     3,     4,
+       5,     6,    11,     8,     0,    11,    51,    52,    17,    18,
+      19,    20,    17,    22,    23,    24,    25,    26,    27,    28,
+      29,    30,    31,    32,    33,    34,    35,    36,     3,     4,
+       5,    17,    -1,     8,     7,     8,     9,    10,    11,    -1,
+      -1,    86,    17,    -1,    89,    90,    91,    92,    93,    94,
+      95,    96,    97,     3,     4,     5,     6,    -1,     8,     7,
+       8,     9,    10,    11,     9,    10,    11,    17,    -1,    19,
+       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
+      -1,    -1,    19,     7,     8,     9,    10,    11,    12,    13,
+      14,    15,    16,    -1,    18,     7,     8,     9,    10,    11,
+      12,    13,    14,    15,    16,    -1,    18,     7,     8,     9,
+      10,    11,    12,    13,    14,    15,    16,    -1,    18,     7,
+       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
+      18,     7,     8,     9,    10,    11,    12,    13,    14,    15,
+      16,    -1,    18,     7,     8,     9,    10,    11,    12,    13,
+      14,    15,    16,    -1,    18,     7,     8,     9,    10,    11,
+      12,    13,    14,    15,    16
+};
+
+  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
+     symbol of state STATE-NUM.  */
+static const yytype_uint8 yystos[] =
+{
+       0,     3,     4,     5,     6,     8,    17,    19,    22,    23,
+      24,    17,    23,    24,    23,    24,     0,     7,     8,     9,
+      10,    11,    12,    13,    14,    15,    16,     7,     8,     9,
+      10,    11,    12,    13,    14,    15,    16,    19,    23,    24,
+      18,    18,    23,    24,    23,    24,    23,    24,    23,    24,
+       5,     8,    17,    23,    23,    24,    23,    24,    23,    24,
+      23,    24,    23,    24,    23,    24,    23,    24,    23,    24,
+      23,    24,    23,    24,    23,    24,    23,    24,    23,    24,
+      23,    24,    23,    24,    18,    18,    17,    23,    23,     7,
+       8,     9,    10,    12,    13,    14,    15,    16,    23,    23,
+      23,    23,    23,    23,    23,    23,    23,    23
+};
+
+  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
 static const yytype_uint8 yyr1[] =
 {
-       0,    22,    23,    23,    24,    24,    24,    24,    24,    24,
+       0,    21,    22,    22,    23,    23,    23,    23,    23,    23,
+      23,    23,    23,    23,    23,    23,    23,    23,    23,    24,
       24,    24,    24,    24,    24,    24,    24,    24,    24,    24,
-      25,    25,    25,    25,    25,    25,    25,    25,    25,    25,
-      25,    25,    25,    25,    25,    25,    25,    25,    25,    25,
-      25,    25,    25,    25,    25,    25,    25,    25,    25,    25,
-      25,    25,    25,    25,    25,    25,    25
+      24,    24,    24,    24,    24,    24,    24,    24,    24,    24,
+      24,    24,    24,    24,    24,    24,    24,    24,    24,    24,
+      24,    24,    24
 };
 
-/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
+  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
 static const yytype_uint8 yyr2[] =
 {
        0,     2,     1,     2,     1,     1,     3,     3,     3,     3,
-       2,     3,     3,     3,     3,     3,     3,     3,     3,     4,
-       1,     1,     3,     3,     3,     3,     2,     3,     3,     3,
+       2,     3,     3,     3,     3,     3,     3,     3,     4,     1,
+       1,     3,     3,     3,     3,     2,     3,     3,     3,     3,
        3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
        3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
-       3,     3,     3,     3,     3,     3,     4
+       3,     3,     4
 };
 
-/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
-   Performed when YYTABLE doesn't specify something else to do.  Zero
-   means the default is an error.  */
-static const yytype_uint8 yydefact[] =
-{
-       0,     4,     5,    20,    21,     0,     0,     2,     0,     0,
-       0,     0,    10,    26,     0,     0,     1,     0,     0,     0,
-       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-       0,     0,     0,     0,     0,     0,     0,     0,     0,     3,
-       0,     0,    18,    34,     6,    36,     7,    38,     8,    40,
-       9,    42,     0,     0,     0,    11,    12,    45,    13,    47,
-      14,    49,    15,    51,    16,    53,    17,    55,    35,    22,
-      37,    23,    39,    24,    41,    25,    43,    27,    44,    28,
-      46,    29,    48,    30,    50,    31,    52,    32,    54,    33,
-      19,    56,     0,    10,     0,     0,     0,     0,     0,     0,
-       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
-      12,    13,    14,    15,    16,    17
-};
-
-/* YYDEFGOTO[NTERM-NUM].  */
-static const yytype_int8 yydefgoto[] =
-{
-      -1,     8,     9,    10
-};
-
-/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
-   STATE-NUM.  */
-#define YYPACT_NINF -14
-static const yytype_int16 yypact[] =
-{
-      97,   -14,   -14,   -13,   -14,    70,    70,   -14,    37,   207,
-     115,    70,    32,    34,   129,   142,   -14,    70,    70,    70,
-      70,   103,    70,    70,    70,    70,    70,    70,    70,    70,
-      70,    70,    70,    70,    70,    70,    70,    70,    70,   -14,
-     155,   168,   -14,   -14,    -7,    25,    -7,    25,    32,    34,
-      32,    34,    28,   103,   103,    32,     0,    72,     0,    72,
-       0,    72,     0,    72,     0,    72,     0,    72,    -7,    25,
-      -7,    25,    32,    34,    32,    34,    32,    34,     0,    72,
-       0,    72,     0,    72,     0,    72,     0,    72,     0,    72,
-     -14,   -14,   103,    32,   181,   103,   103,   103,   103,   103,
-     103,   103,   103,   103,   103,   194,    31,    31,    32,    32,
-     218,   218,   218,   218,   218,   218
-};
-
-/* YYPGOTO[NTERM-NUM].  */
-static const yytype_int8 yypgoto[] =
-{
-     -14,   -14,    -5,    33
-};
-
-/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
-   positive, shift that token.  If negative, reduce the rule which
-   number is the opposite.  If YYTABLE_NINF, syntax error.  */
-#define YYTABLE_NINF -1
-static const yytype_uint8 yytable[] =
-{
-      12,    14,    19,    20,    21,    11,    40,    17,    18,    19,
-      20,    21,    44,    46,    48,    50,    55,    56,    58,    60,
-      62,    64,    66,    68,    70,    72,    74,    76,    78,    80,
-      82,    84,    86,    88,    30,    31,    32,    16,    13,    15,
-      97,    98,    21,    21,    41,    32,    92,     0,    93,    94,
-      45,    47,    49,    51,     0,    57,    59,    61,    63,    65,
-      67,    69,    71,    73,    75,    77,    79,    81,    83,    85,
-      87,    89,     0,     1,     2,     3,     4,     0,     5,    28,
-      29,    30,    31,    32,     0,     0,     0,   105,     6,     0,
-     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
-       1,     2,     3,     4,     0,     5,     1,     2,    52,     0,
-       0,    53,     0,     0,     0,     6,     0,     7,     0,     0,
-       0,    54,    28,    29,    30,    31,    32,    33,    34,    35,
-      36,    37,    38,     0,     0,    39,    17,    18,    19,    20,
-      21,    22,    23,    24,    25,    26,    27,     0,    42,    28,
-      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
-       0,    43,    17,    18,    19,    20,    21,    22,    23,    24,
-      25,    26,    27,     0,    90,    28,    29,    30,    31,    32,
-      33,    34,    35,    36,    37,    38,     0,    91,    95,    96,
-      97,    98,    21,    99,   100,   101,   102,   103,   104,     0,
-      42,    95,    96,    97,    98,    21,    99,   100,   101,   102,
-     103,   104,     0,    90,    17,    18,    19,    20,    21,    22,
-      23,    24,    25,    26,    27,    95,    96,    97,    98,    21
-};
-
-#define yypact_value_is_default(Yystate) \
-  (!!((Yystate) == (-14)))
-
-#define yytable_value_is_error(Yytable_value) \
-  YYID (0)
-
-static const yytype_int8 yycheck[] =
-{
-       5,     6,     9,    10,    11,    18,    11,     7,     8,     9,
-      10,    11,    17,    18,    19,    20,    21,    22,    23,    24,
-      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
-      35,    36,    37,    38,     9,    10,    11,     0,     5,     6,
-       9,    10,    11,    11,    11,    11,    18,    -1,    53,    54,
-      17,    18,    19,    20,    -1,    22,    23,    24,    25,    26,
-      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
-      37,    38,    -1,     3,     4,     5,     6,    -1,     8,     7,
-       8,     9,    10,    11,    -1,    -1,    -1,    92,    18,    -1,
-      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
-       3,     4,     5,     6,    -1,     8,     3,     4,     5,    -1,
-      -1,     8,    -1,    -1,    -1,    18,    -1,    20,    -1,    -1,
-      -1,    18,     7,     8,     9,    10,    11,    12,    13,    14,
-      15,    16,    17,    -1,    -1,    20,     7,     8,     9,    10,
-      11,    12,    13,    14,    15,    16,    17,    -1,    19,     7,
-       8,     9,    10,    11,    12,    13,    14,    15,    16,    17,
-      -1,    19,     7,     8,     9,    10,    11,    12,    13,    14,
-      15,    16,    17,    -1,    19,     7,     8,     9,    10,    11,
-      12,    13,    14,    15,    16,    17,    -1,    19,     7,     8,
-       9,    10,    11,    12,    13,    14,    15,    16,    17,    -1,
-      19,     7,     8,     9,    10,    11,    12,    13,    14,    15,
-      16,    17,    -1,    19,     7,     8,     9,    10,    11,    12,
-      13,    14,    15,    16,    17,     7,     8,     9,    10,    11
-};
-
-/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
-   symbol of state STATE-NUM.  */
-static const yytype_uint8 yystos[] =
-{
-       0,     3,     4,     5,     6,     8,    18,    20,    23,    24,
-      25,    18,    24,    25,    24,    25,     0,     7,     8,     9,
-      10,    11,    12,    13,    14,    15,    16,    17,     7,     8,
-       9,    10,    11,    12,    13,    14,    15,    16,    17,    20,
-      24,    25,    19,    19,    24,    25,    24,    25,    24,    25,
-      24,    25,     5,     8,    18,    24,    24,    25,    24,    25,
-      24,    25,    24,    25,    24,    25,    24,    25,    24,    25,
-      24,    25,    24,    25,    24,    25,    24,    25,    24,    25,
-      24,    25,    24,    25,    24,    25,    24,    25,    24,    25,
-      19,    19,    18,    24,    24,     7,     8,     9,    10,    12,
-      13,    14,    15,    16,    17,    24,    24,    24,    24,    24,
-      24,    24,    24,    24,    24,    24
-};
-
-#define yyerrok		(yyerrstatus = 0)
-#define yyclearin	(yychar = YYEMPTY)
-#define YYEMPTY		(-2)
-#define YYEOF		0
-
-#define YYACCEPT	goto yyacceptlab
-#define YYABORT		goto yyabortlab
-#define YYERROR		goto yyerrorlab
-
-
-/* Like YYERROR except do call yyerror.  This remains here temporarily
-   to ease the transition to the new meaning of YYERROR, for GCC.
-   Once GCC version 2 has supplanted version 1, this can go.  However,
-   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
-   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
-   discussed.  */
-
-#define YYFAIL		goto yyerrlab
-#if defined YYFAIL
-  /* This is here to suppress warnings from the GCC cpp's
-     -Wunused-macros.  Normally we don't worry about that warning, but
-     some users do, and we want to make it easy for users to remove
-     YYFAIL uses, which will produce warnings from Bison 2.5.  */
-#endif
+
+#define yyerrok         (yyerrstatus = 0)
+#define yyclearin       (yychar = YYEMPTY)
+#define YYEMPTY         (-2)
+#define YYEOF           0
+
+#define YYACCEPT        goto yyacceptlab
+#define YYABORT         goto yyabortlab
+#define YYERROR         goto yyerrorlab
+
 
 #define YYRECOVERING()  (!!yyerrstatus)
@@ -737,25 +684,13 @@
     {                                                           \
       yyerror (YY_("syntax error: cannot back up")); \
-      YYERROR;							\
-    }								\
-while (YYID (0))
+      YYERROR;                                                  \
+    }                                                           \
+while (0)
 
 /* Error token number */
-#define YYTERROR	1
-#define YYERRCODE	256
-
-
-/* This macro is provided for backward compatibility. */
-#ifndef YY_LOCATION_PRINT
-# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
-#endif
-
-
-/* YYLEX -- calling `yylex' with the right arguments.  */
-#ifdef YYLEX_PARAM
-# define YYLEX yylex (YYLEX_PARAM)
-#else
-# define YYLEX yylex ()
-#endif
+#define YYTERROR        1
+#define YYERRCODE       256
+
+
 
 /* Enable debugging if requested.  */
@@ -767,38 +702,34 @@
 # endif
 
-# define YYDPRINTF(Args)			\
-do {						\
-  if (yydebug)					\
-    YYFPRINTF Args;				\
-} while (YYID (0))
-
-# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
-do {									  \
-  if (yydebug)								  \
-    {									  \
-      YYFPRINTF (stderr, "%s ", Title);					  \
-      yy_symbol_print (stderr,						  \
-		  Type, Value); \
-      YYFPRINTF (stderr, "\n");						  \
-    }									  \
-} while (YYID (0))
-
-
-/*--------------------------------.
-| Print this symbol on YYOUTPUT.  |
-`--------------------------------*/
-
-/*ARGSUSED*/
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
+# define YYDPRINTF(Args)                        \
+do {                                            \
+  if (yydebug)                                  \
+    YYFPRINTF Args;                             \
+} while (0)
+
+/* This macro is provided for backward compatibility. */
+#ifndef YY_LOCATION_PRINT
+# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
+#endif
+
+
+# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
+do {                                                                      \
+  if (yydebug)                                                            \
+    {                                                                     \
+      YYFPRINTF (stderr, "%s ", Title);                                   \
+      yy_symbol_print (stderr,                                            \
+                  Type, Value); \
+      YYFPRINTF (stderr, "\n");                                           \
+    }                                                                     \
+} while (0)
+
+
+/*----------------------------------------.
+| Print this symbol's value on YYOUTPUT.  |
+`----------------------------------------*/
+
 static void
 yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
-#else
-static void
-yy_symbol_value_print (yyoutput, yytype, yyvaluep)
-    FILE *yyoutput;
-    int yytype;
-    YYSTYPE const * const yyvaluep;
-#endif
 {
   FILE *yyo = yyoutput;
@@ -809,12 +740,6 @@
   if (yytype < YYNTOKENS)
     YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
-# else
-  YYUSE (yyoutput);
 # endif
-  switch (yytype)
-    {
-      default:
-        break;
-    }
+  YYUSE (yytype);
 }
 
@@ -824,20 +749,9 @@
 `--------------------------------*/
 
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 static void
 yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
-#else
-static void
-yy_symbol_print (yyoutput, yytype, yyvaluep)
-    FILE *yyoutput;
-    int yytype;
-    YYSTYPE const * const yyvaluep;
-#endif
-{
-  if (yytype < YYNTOKENS)
-    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
-  else
-    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);
+{
+  YYFPRINTF (yyoutput, "%s %s (",
+             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);
 
   yy_symbol_value_print (yyoutput, yytype, yyvaluep);
@@ -850,14 +764,6 @@
 `------------------------------------------------------------------*/
 
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 static void
 yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
-#else
-static void
-yy_stack_print (yybottom, yytop)
-    yytype_int16 *yybottom;
-    yytype_int16 *yytop;
-#endif
 {
   YYFPRINTF (stderr, "Stack now");
@@ -870,9 +776,9 @@
 }
 
-# define YY_STACK_PRINT(Bottom, Top)				\
-do {								\
-  if (yydebug)							\
-    yy_stack_print ((Bottom), (Top));				\
-} while (YYID (0))
+# define YY_STACK_PRINT(Bottom, Top)                            \
+do {                                                            \
+  if (yydebug)                                                  \
+    yy_stack_print ((Bottom), (Top));                           \
+} while (0)
 
 
@@ -881,36 +787,29 @@
 `------------------------------------------------*/
 
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 static void
-yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
-#else
-static void
-yy_reduce_print (yyvsp, yyrule)
-    YYSTYPE *yyvsp;
-    int yyrule;
-#endif
-{
+yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
+{
+  unsigned long int yylno = yyrline[yyrule];
   int yynrhs = yyr2[yyrule];
   int yyi;
-  unsigned long int yylno = yyrline[yyrule];
   YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
-	     yyrule - 1, yylno);
+             yyrule - 1, yylno);
   /* The symbols being reduced.  */
   for (yyi = 0; yyi < yynrhs; yyi++)
     {
       YYFPRINTF (stderr, "   $%d = ", yyi + 1);
-      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
-		       &(yyvsp[(yyi + 1) - (yynrhs)])
-		       		       );
+      yy_symbol_print (stderr,
+                       yystos[yyssp[yyi + 1 - yynrhs]],
+                       &(yyvsp[(yyi + 1) - (yynrhs)])
+                                              );
       YYFPRINTF (stderr, "\n");
     }
 }
 
-# define YY_REDUCE_PRINT(Rule)		\
-do {					\
-  if (yydebug)				\
-    yy_reduce_print (yyvsp, Rule); \
-} while (YYID (0))
+# define YY_REDUCE_PRINT(Rule)          \
+do {                                    \
+  if (yydebug)                          \
+    yy_reduce_print (yyssp, yyvsp, Rule); \
+} while (0)
 
 /* Nonzero means print parse trace.  It is left uninitialized so that
@@ -926,5 +825,5 @@
 
 /* YYINITDEPTH -- initial size of the parser's stacks.  */
-#ifndef	YYINITDEPTH
+#ifndef YYINITDEPTH
 # define YYINITDEPTH 200
 #endif
@@ -949,13 +848,6 @@
 #  else
 /* Return the length of YYSTR.  */
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 static YYSIZE_T
 yystrlen (const char *yystr)
-#else
-static YYSIZE_T
-yystrlen (yystr)
-    const char *yystr;
-#endif
 {
   YYSIZE_T yylen;
@@ -973,14 +865,6 @@
 /* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
    YYDEST.  */
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 static char *
 yystpcpy (char *yydest, const char *yysrc)
-#else
-static char *
-yystpcpy (yydest, yysrc)
-    char *yydest;
-    const char *yysrc;
-#endif
 {
   char *yyd = yydest;
@@ -1012,25 +896,25 @@
 
       for (;;)
-	switch (*++yyp)
-	  {
-	  case '\'':
-	  case ',':
-	    goto do_not_strip_quotes;
-
-	  case '\\':
-	    if (*++yyp != '\\')
-	      goto do_not_strip_quotes;
-	    /* Fall through.  */
-	  default:
-	    if (yyres)
-	      yyres[yyn] = *yyp;
-	    yyn++;
-	    break;
-
-	  case '"':
-	    if (yyres)
-	      yyres[yyn] = '\0';
-	    return yyn;
-	  }
+        switch (*++yyp)
+          {
+          case '\'':
+          case ',':
+            goto do_not_strip_quotes;
+
+          case '\\':
+            if (*++yyp != '\\')
+              goto do_not_strip_quotes;
+            /* Fall through.  */
+          default:
+            if (yyres)
+              yyres[yyn] = *yyp;
+            yyn++;
+            break;
+
+          case '"':
+            if (yyres)
+              yyres[yyn] = '\0';
+            return yyn;
+          }
     do_not_strip_quotes: ;
     }
@@ -1055,9 +939,9 @@
                 yytype_int16 *yyssp, int yytoken)
 {
-  YYSIZE_T yysize0 = yytnamerr (YY_NULL, yytname[yytoken]);
+  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
   YYSIZE_T yysize = yysize0;
   enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
   /* Internationalized format string. */
-  const char *yyformat = YY_NULL;
+  const char *yyformat = YY_NULLPTR;
   /* Arguments of yyformat. */
   char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
@@ -1067,8 +951,4 @@
 
   /* There are many possibilities here to consider:
-     - Assume YYFAIL is not used.  It's too flawed to consider.  See
-       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
-       for details.  YYERROR is fine as it does not invoke this
-       function.
      - If this state is a consistent state with a default action, then
        the only way this function was invoked is if the default action
@@ -1120,5 +1000,5 @@
                 yyarg[yycount++] = yytname[yyx];
                 {
-                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULL, yytname[yyx]);
+                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                   if (! (yysize <= yysize1
                          && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
@@ -1187,29 +1067,15 @@
 `-----------------------------------------------*/
 
-/*ARGSUSED*/
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 static void
 yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
-#else
-static void
-yydestruct (yymsg, yytype, yyvaluep)
-    const char *yymsg;
-    int yytype;
-    YYSTYPE *yyvaluep;
-#endif
 {
   YYUSE (yyvaluep);
-
   if (!yymsg)
     yymsg = "Deleting";
   YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);
 
-  switch (yytype)
-    {
-
-      default:
-        break;
-    }
+  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
+  YYUSE (yytype);
+  YY_IGNORE_MAYBE_UNINITIALIZED_END
 }
 
@@ -1220,16 +1086,6 @@
 int yychar;
 
-
-#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
-# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
-# define YY_IGNORE_MAYBE_UNINITIALIZED_END
-#endif
-#ifndef YY_INITIAL_VALUE
-# define YY_INITIAL_VALUE(Value) /* Nothing. */
-#endif
-
 /* The semantic value of the lookahead symbol.  */
-YYSTYPE yylval YY_INITIAL_VALUE(yyval_default);
-
+YYSTYPE yylval;
 /* Number of syntax errors so far.  */
 int yynerrs;
@@ -1240,25 +1096,6 @@
 `----------*/
 
-#ifdef YYPARSE_PARAM
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
-int
-yyparse (void *YYPARSE_PARAM)
-#else
-int
-yyparse (YYPARSE_PARAM)
-    void *YYPARSE_PARAM;
-#endif
-#else /* ! YYPARSE_PARAM */
-#if (defined __STDC__ || defined __C99__FUNC__ \
-     || defined __cplusplus || defined _MSC_VER)
 int
 yyparse (void)
-#else
-int
-yyparse ()
-
-#endif
-#endif
 {
     int yystate;
@@ -1267,6 +1104,6 @@
 
     /* The stacks and their tools:
-       `yyss': related to states.
-       `yyvs': related to semantic values.
+       'yyss': related to states.
+       'yyvs': related to semantic values.
 
        Refer to the stacks through separate pointers, to allow yyoverflow
@@ -1336,21 +1173,21 @@
 #ifdef yyoverflow
       {
-	/* Give user a chance to reallocate the stack.  Use copies of
-	   these so that the &'s don't force the real ones into
-	   memory.  */
-	YYSTYPE *yyvs1 = yyvs;
-	yytype_int16 *yyss1 = yyss;
-
-	/* Each stack pointer address is followed by the size of the
-	   data in use in that stack, in bytes.  This used to be a
-	   conditional around just the two extra args, but that might
-	   be undefined if yyoverflow is a macro.  */
-	yyoverflow (YY_("memory exhausted"),
-		    &yyss1, yysize * sizeof (*yyssp),
-		    &yyvs1, yysize * sizeof (*yyvsp),
-		    &yystacksize);
-
-	yyss = yyss1;
-	yyvs = yyvs1;
+        /* Give user a chance to reallocate the stack.  Use copies of
+           these so that the &'s don't force the real ones into
+           memory.  */
+        YYSTYPE *yyvs1 = yyvs;
+        yytype_int16 *yyss1 = yyss;
+
+        /* Each stack pointer address is followed by the size of the
+           data in use in that stack, in bytes.  This used to be a
+           conditional around just the two extra args, but that might
+           be undefined if yyoverflow is a macro.  */
+        yyoverflow (YY_("memory exhausted"),
+                    &yyss1, yysize * sizeof (*yyssp),
+                    &yyvs1, yysize * sizeof (*yyvsp),
+                    &yystacksize);
+
+        yyss = yyss1;
+        yyvs = yyvs1;
       }
 #else /* no yyoverflow */
@@ -1360,20 +1197,20 @@
       /* Extend the stack our own way.  */
       if (YYMAXDEPTH <= yystacksize)
-	goto yyexhaustedlab;
+        goto yyexhaustedlab;
       yystacksize *= 2;
       if (YYMAXDEPTH < yystacksize)
-	yystacksize = YYMAXDEPTH;
+        yystacksize = YYMAXDEPTH;
 
       {
-	yytype_int16 *yyss1 = yyss;
-	union yyalloc *yyptr =
-	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
-	if (! yyptr)
-	  goto yyexhaustedlab;
-	YYSTACK_RELOCATE (yyss_alloc, yyss);
-	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
+        yytype_int16 *yyss1 = yyss;
+        union yyalloc *yyptr =
+          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
+        if (! yyptr)
+          goto yyexhaustedlab;
+        YYSTACK_RELOCATE (yyss_alloc, yyss);
+        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
 #  undef YYSTACK_RELOCATE
-	if (yyss1 != yyssa)
-	  YYSTACK_FREE (yyss1);
+        if (yyss1 != yyssa)
+          YYSTACK_FREE (yyss1);
       }
 # endif
